# useGetEscrowsFromIndexerBySigner

## Uso

Este hook personalizado expone una función para obtener los escrows que estás buscando.

{% code overflow="wrap" %}

```typescript
import { useGetEscrowsFromIndexerBySigner } from "@trustless-work/escrow/hooks";
import { GetEscrowsFromIndexerBySignerParams} from "@trustless-work/escrow/types";

/*
 *  useGetEscrowsFromIndexerBySigner
*/
const { getEscrowsBySigner } = useGetEscrowsFromIndexerBySigner();

/* 
 * Devuelve los escrows que estás buscando
 * payload should be of type `GetEscrowsFromIndexerBySignerParams`
*/
await getEscrowsBySigner(payload);
```

{% endcode %}

### Función

* `getEscrowsBySigner`\
  Responsable de construir y devolver datos basados en el payload proporcionado.

*Argumento:*

`GetEscrowsFromIndexerBySignerParams`: An object containing the required fields to get the escrows by signer.

{% content-ref url="/pages/2be27f1f819594d69c61a462f477cd3a1a0d3b1c" %}
[Obtener escrows por firmante](/trustless-work/v1-es/introduccion/developer-resources/tipos/cargas-utiles/obtener-escrows-por-firmante.md)
{% endcontent-ref %}

*Valor de retorno:*

`escrows`: Los escrows que estás buscando.

***

## Ejemplo de usoFormulario

{% code title="src/hooks/useGetEscrowsFromIndexerBySigner.ts" overflow="wrap" %}

```typescript
import {
  useGetEscrowsFromIndexerBySigner,
} from "@trustless-work/escrow/hooks";
import {
  GetEscrowsFromIndexerBySignerParams, 
} from "@trustless-work/escrow/types";

export const useGetEscrowsFromIndexerBySignerForm = () => {

 /*
  *  useGetEscrowsFromIndexerBySigner
 */
 const { getEscrowsBySigner } = useGetEscrowsFromIndexerBySigner();

/*
 * función onSubmit, esto podría ser llamado por el botón del formulario
*/
 const onSubmit = async (payload: GetEscrowsFromIndexerBySignerParams) => {

    try {
      /**
       * Llamada a la API usando los hooks de trustless work
       * @Nota:
       * - We need to pass the payload to the getEscrowsBySigner function
       * - El resultado será un escrow
      */
      const escrows = await getEscrowsBySigner(payload);
      
      if (!escrows) {
        throw new Error("Escrows not found");
      }

      /**
       * @Respuestas:
       * escrows !== null
       * - Escrows recibidos con éxito
       * - Mostrar un toast de éxito
       *
       * escrows === null
       * - Mostrar un toast de error
       */
      if (escrows) {
        toast.success("Escrows Received");
      }
    } catch (error: unknown) {
      // lógica para capturar errores
    }
  };
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/indexer/usegetescrowsfromindexerbysigner.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
